org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstanceOrBuilder
  Enclosing class:
    JBPMMessages

      public static final class JBPMMessages.ProcessInstance
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.ProcessInstance.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance`
    `static class` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` Protobuf type `org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance`
    `static interface` | `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`
    `static class` | `JBPMMessages.ProcessInstance.NodeInstance` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstance`
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent`
    `static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`
    `static interface` | `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceType` Protobuf enum `org.jbpm.marshalling.ProcessInstance.NodeInstanceType`
    `static class` | `JBPMMessages.ProcessInstance.SwimlaneContextInstance` Protobuf type `org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance`
    `static interface` | `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPLETEDNODEIDS_FIELD_NUMBER`
    `static int` | `CORRELATION_KEY_FIELD_NUMBER`
    `static int` | `DEPLOYMENTID_FIELD_NUMBER`
    `static int` | `DESCRIPTION_FIELD_NUMBER`
    `static int` | `EXCLUSIVE_GROUP_FIELD_NUMBER`
    `static int` | `ID_FIELD_NUMBER`
    `static int` | `ITERATIONLEVELS_FIELD_NUMBER`
    `static int` | `NODE_INSTANCE_COUNTER_FIELD_NUMBER`
    `static int` | `NODE_INSTANCE_FIELD_NUMBER`
    `static int` | `PARENT_PROCESS_INSTANCE_ID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance>` | `PARSER` Deprecated.
    `static int` | `PROCESS_ID_FIELD_NUMBER`
    `static int` | `PROCESS_TYPE_FIELD_NUMBER`
    `static int` | `PROCESS_XML_FIELD_NUMBER`
    `static int` | `SIGNAL_COMPLETION_FIELD_NUMBER`
    `static int` | `SLA_COMPLIANCE_FIELD_NUMBER`
    `static int` | `SLA_DUE_DATE_FIELD_NUMBER`
    `static int` | `SLA_TIMER_ID_FIELD_NUMBER`
    `static int` | `STATE_FIELD_NUMBER`
    `static int` | `SWIMLANE_CONTEXT_FIELD_NUMBER`
    `static int` | `VARIABLE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCompletedNodeIds(int index)` `repeated string completedNodeIds = 13;`
    `com.google.protobuf.ByteString` | `getCompletedNodeIdsBytes(int index)` `repeated string completedNodeIds = 13;`
    `int` | `getCompletedNodeIdsCount()` `repeated string completedNodeIds = 13;`
    `com.google.protobuf.ProtocolStringList` | `getCompletedNodeIdsList()` `repeated string completedNodeIds = 13;`
    `String` | `getCorrelationKey()` `optional string correlation_key = 18;`
    `com.google.protobuf.ByteString` | `getCorrelationKeyBytes()` `optional string correlation_key = 18;`
    `static JBPMMessages.ProcessInstance` | `getDefaultInstance()`
    `JBPMMessages.ProcessInstance` | `getDefaultInstanceForType()`
    `String` | `getDeploymentId()` `optional string deploymentId = 17;`
    `com.google.protobuf.ByteString` | `getDeploymentIdBytes()` `optional string deploymentId = 17;`
    `String` | `getDescription()` `optional string description = 15;`
    `com.google.protobuf.ByteString` | `getDescriptionBytes()` `optional string description = 15;`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `int` | `getExclusiveGroupCount()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `long` | `getId()` `optional int64 id = 2;`
    `JBPMMessages.IterationLevel` | `getIterationLevels(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `int` | `getIterationLevelsCount()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `int` | `getNodeInstanceCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `long` | `getNodeInstanceCounter()` `optional int64 node_instance_counter = 5;`
    `List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `long` | `getParentProcessInstanceId()` `optional int64 parent_process_instance_id = 12;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance>` | `getParserForType()`
    `String` | `getProcessId()` `optional string process_id = 3;`
    `com.google.protobuf.ByteString` | `getProcessIdBytes()` `optional string process_id = 3;`
    `String` | `getProcessType()` `optional string process_type = 1;`
    `com.google.protobuf.ByteString` | `getProcessTypeBytes()` `optional string process_type = 1;`
    `String` | `getProcessXml()` `optional string process_xml = 11;`
    `com.google.protobuf.ByteString` | `getProcessXmlBytes()` `optional string process_xml = 11;`
    `int` | `getSerializedSize()`
    `boolean` | `getSignalCompletion()` `optional bool signal_completion = 16 [default = true];`
    `int` | `getSlaCompliance()` `optional int32 sla_compliance = 21;`
    `long` | `getSlaDueDate()` `optional int64 sla_due_date = 20;`
    `long` | `getSlaTimerId()` `optional int64 sla_timer_id = 19;`
    `int` | `getState()` `optional int32 state = 4;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `int` | `getSwimlaneContextCount()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `boolean` | `hasCorrelationKey()` `optional string correlation_key = 18;`
    `boolean` | `hasDeploymentId()` `optional string deploymentId = 17;`
    `boolean` | `hasDescription()` `optional string description = 15;`
    `int` | `hashCode()`
    `boolean` | `hasId()` `optional int64 id = 2;`
    `boolean` | `hasNodeInstanceCounter()` `optional int64 node_instance_counter = 5;`
    `boolean` | `hasParentProcessInstanceId()` `optional int64 parent_process_instance_id = 12;`
    `boolean` | `hasProcessId()` `optional string process_id = 3;`
    `boolean` | `hasProcessType()` `optional string process_type = 1;`
    `boolean` | `hasProcessXml()` `optional string process_xml = 11;`
    `boolean` | `hasSignalCompletion()` `optional bool signal_completion = 16 [default = true];`
    `boolean` | `hasSlaCompliance()` `optional int32 sla_compliance = 21;`
    `boolean` | `hasSlaDueDate()` `optional int64 sla_due_date = 20;`
    `boolean` | `hasSlaTimerId()` `optional int64 sla_timer_id = 19;`
    `boolean` | `hasState()` `optional int32 state = 4;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.ProcessInstance.Builder` | `newBuilder()`
    `static JBPMMessages.ProcessInstance.Builder` | `newBuilder(JBPMMessages.ProcessInstance prototype)`
    `JBPMMessages.ProcessInstance.Builder` | `newBuilderForType()`
    `protected JBPMMessages.ProcessInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
    `static JBPMMessages.ProcessInstance` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(byte[] data)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(ByteBuffer data)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance>` | `parser()`
    `JBPMMessages.ProcessInstance.Builder` | `toBuilder()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PROCESS_TYPE_FIELD_NUMBER

          public static final int PROCESS_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ID_FIELD_NUMBER

          public static final int ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PROCESS_ID_FIELD_NUMBER

          public static final int PROCESS_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STATE_FIELD_NUMBER

          public static final int STATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NODE_INSTANCE_COUNTER_FIELD_NUMBER

          public static final int NODE_INSTANCE_COUNTER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PROCESS_XML_FIELD_NUMBER

          public static final int PROCESS_XML_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARENT_PROCESS_INSTANCE_ID_FIELD_NUMBER

          public static final int PARENT_PROCESS_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DESCRIPTION_FIELD_NUMBER

          public static final int DESCRIPTION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SIGNAL_COMPLETION_FIELD_NUMBER

          public static final int SIGNAL_COMPLETION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEPLOYMENTID_FIELD_NUMBER

          public static final int DEPLOYMENTID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CORRELATION_KEY_FIELD_NUMBER

          public static final int CORRELATION_KEY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SLA_TIMER_ID_FIELD_NUMBER

          public static final int SLA_TIMER_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SLA_DUE_DATE_FIELD_NUMBER

          public static final int SLA_DUE_DATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SLA_COMPLIANCE_FIELD_NUMBER

          public static final int SLA_COMPLIANCE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SWIMLANE_CONTEXT_FIELD_NUMBER

          public static final int SWIMLANE_CONTEXT_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NODE_INSTANCE_FIELD_NUMBER

          public static final int NODE_INSTANCE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### VARIABLE_FIELD_NUMBER

          public static final int VARIABLE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXCLUSIVE_GROUP_FIELD_NUMBER

          public static final int EXCLUSIVE_GROUP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### COMPLETEDNODEIDS_FIELD_NUMBER

          public static final int COMPLETEDNODEIDS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ITERATIONLEVELS_FIELD_NUMBER

          public static final int ITERATIONLEVELS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessInstance> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### hasProcessType

          public boolean hasProcessType()

      `optional string process_type = 1;`
      Specified by:
        `hasProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessType

          public String getProcessType()

      `optional string process_type = 1;`
      Specified by:
        `getProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessTypeBytes

          public com.google.protobuf.ByteString getProcessTypeBytes()

      `optional string process_type = 1;`
      Specified by:
        `getProcessTypeBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 2;`
      Specified by:
        `hasId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getId

          public long getId()

      `optional int64 id = 2;`
      Specified by:
        `getId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasProcessId

          public boolean hasProcessId()

      `optional string process_id = 3;`
      Specified by:
        `hasProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessId

          public String getProcessId()

      `optional string process_id = 3;`
      Specified by:
        `getProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessIdBytes

          public com.google.protobuf.ByteString getProcessIdBytes()

      `optional string process_id = 3;`
      Specified by:
        `getProcessIdBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasState

          public boolean hasState()

      `optional int32 state = 4;`
      Specified by:
        `hasState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getState

          public int getState()

      `optional int32 state = 4;`
      Specified by:
        `getState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasNodeInstanceCounter

          public boolean hasNodeInstanceCounter()

      `optional int64 node_instance_counter = 5;`
      Specified by:
        `hasNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstanceCounter

          public long getNodeInstanceCounter()

      `optional int64 node_instance_counter = 5;`
      Specified by:
        `getNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasProcessXml

          public boolean hasProcessXml()

      `optional string process_xml = 11;`
      Specified by:
        `hasProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessXml

          public String getProcessXml()

      `optional string process_xml = 11;`
      Specified by:
        `getProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getProcessXmlBytes

          public com.google.protobuf.ByteString getProcessXmlBytes()

      `optional string process_xml = 11;`
      Specified by:
        `getProcessXmlBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasParentProcessInstanceId

          public boolean hasParentProcessInstanceId()

      `optional int64 parent_process_instance_id = 12;`
      Specified by:
        `hasParentProcessInstanceId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getParentProcessInstanceId

          public long getParentProcessInstanceId()

      `optional int64 parent_process_instance_id = 12;`
      Specified by:
        `getParentProcessInstanceId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasDescription

          public boolean hasDescription()

      `optional string description = 15;`
      Specified by:
        `hasDescription` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getDescription

          public String getDescription()

      `optional string description = 15;`
      Specified by:
        `getDescription` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getDescriptionBytes

          public com.google.protobuf.ByteString getDescriptionBytes()

      `optional string description = 15;`
      Specified by:
        `getDescriptionBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasSignalCompletion

          public boolean hasSignalCompletion()

      `optional bool signal_completion = 16 [default = true];`
      Specified by:
        `hasSignalCompletion` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSignalCompletion

          public boolean getSignalCompletion()

      `optional bool signal_completion = 16 [default = true];`
      Specified by:
        `getSignalCompletion` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasDeploymentId

          public boolean hasDeploymentId()

      `optional string deploymentId = 17;`
      Specified by:
        `hasDeploymentId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getDeploymentId

          public String getDeploymentId()

      `optional string deploymentId = 17;`
      Specified by:
        `getDeploymentId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getDeploymentIdBytes

          public com.google.protobuf.ByteString getDeploymentIdBytes()

      `optional string deploymentId = 17;`
      Specified by:
        `getDeploymentIdBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasCorrelationKey

          public boolean hasCorrelationKey()

      `optional string correlation_key = 18;`
      Specified by:
        `hasCorrelationKey` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCorrelationKey

          public String getCorrelationKey()

      `optional string correlation_key = 18;`
      Specified by:
        `getCorrelationKey` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCorrelationKeyBytes

          public com.google.protobuf.ByteString getCorrelationKeyBytes()

      `optional string correlation_key = 18;`
      Specified by:
        `getCorrelationKeyBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasSlaTimerId

          public boolean hasSlaTimerId()

      `optional int64 sla_timer_id = 19;`
      Specified by:
        `hasSlaTimerId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSlaTimerId

          public long getSlaTimerId()

      `optional int64 sla_timer_id = 19;`
      Specified by:
        `getSlaTimerId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasSlaDueDate

          public boolean hasSlaDueDate()

      `optional int64 sla_due_date = 20;`
      Specified by:
        `hasSlaDueDate` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSlaDueDate

          public long getSlaDueDate()

      `optional int64 sla_due_date = 20;`
      Specified by:
        `getSlaDueDate` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### hasSlaCompliance

          public boolean hasSlaCompliance()

      `optional int32 sla_compliance = 21;`
      Specified by:
        `hasSlaCompliance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSlaCompliance

          public int getSlaCompliance()

      `optional int32 sla_compliance = 21;`
      Specified by:
        `getSlaCompliance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSwimlaneContextList

          public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
      Specified by:
        `getSwimlaneContextList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSwimlaneContextOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
      Specified by:
        `getSwimlaneContextOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSwimlaneContextCount

          public int getSwimlaneContextCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
      Specified by:
        `getSwimlaneContextCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSwimlaneContext

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
      Specified by:
        `getSwimlaneContext` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getSwimlaneContextOrBuilder

          public JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
      Specified by:
        `getSwimlaneContextOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstanceList

          public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
      Specified by:
        `getNodeInstanceList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstanceOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
      Specified by:
        `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstanceCount

          public int getNodeInstanceCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
      Specified by:
        `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
      Specified by:
        `getNodeInstance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getNodeInstanceOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
      Specified by:
        `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 8;`
      Specified by:
        `getVariable` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 8;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getExclusiveGroupList

          public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
      Specified by:
        `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getExclusiveGroupOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
      Specified by:
        `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getExclusiveGroupCount

          public int getExclusiveGroupCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
      Specified by:
        `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getExclusiveGroup

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
      Specified by:
        `getExclusiveGroup` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getExclusiveGroupOrBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
      Specified by:
        `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCompletedNodeIdsList

          public com.google.protobuf.ProtocolStringList getCompletedNodeIdsList()

      `repeated string completedNodeIds = 13;`
      Specified by:
        `getCompletedNodeIdsList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCompletedNodeIdsCount

          public int getCompletedNodeIdsCount()

      `repeated string completedNodeIds = 13;`
      Specified by:
        `getCompletedNodeIdsCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCompletedNodeIds

          public String getCompletedNodeIds(int index)

      `repeated string completedNodeIds = 13;`
      Specified by:
        `getCompletedNodeIds` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getCompletedNodeIdsBytes

          public com.google.protobuf.ByteString getCompletedNodeIdsBytes(int index)

      `repeated string completedNodeIds = 13;`
      Specified by:
        `getCompletedNodeIdsBytes` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getIterationLevelsList

          public List<JBPMMessages.IterationLevel> getIterationLevelsList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
      Specified by:
        `getIterationLevelsList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getIterationLevelsOrBuilderList

          public List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
      Specified by:
        `getIterationLevelsOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getIterationLevelsCount

          public int getIterationLevelsCount()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
      Specified by:
        `getIterationLevelsCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getIterationLevels

          public JBPMMessages.IterationLevel getIterationLevels(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
      Specified by:
        `getIterationLevels` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### getIterationLevelsOrBuilder

          public JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
      Specified by:
        `getIterationLevelsOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(ByteBuffer data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(ByteBuffer data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.ByteString data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.ByteString data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(byte[] data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(byte[] data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(InputStream input)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance parseDelimitedFrom(InputStream input)
                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance parseDelimitedFrom(InputStream input,
                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.Builder newBuilder(JBPMMessages.ProcessInstance prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.